# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitLogBrowserDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitLogBrowserDialog(object):
    def setupUi(self, GitLogBrowserDialog):
        GitLogBrowserDialog.setObjectName("GitLogBrowserDialog")
        GitLogBrowserDialog.resize(1000, 800)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(GitLogBrowserDialog)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.actionsButton = QtWidgets.QToolButton(parent=GitLogBrowserDialog)
        self.actionsButton.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.InstantPopup)
        self.actionsButton.setObjectName("actionsButton")
        self.horizontalLayout_4.addWidget(self.actionsButton)
        self.line_4 = QtWidgets.QFrame(parent=GitLogBrowserDialog)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.line_4.setLineWidth(2)
        self.line_4.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_4.setObjectName("line_4")
        self.horizontalLayout_4.addWidget(self.line_4)
        self.modeComboBox = QtWidgets.QComboBox(parent=GitLogBrowserDialog)
        self.modeComboBox.setObjectName("modeComboBox")
        self.horizontalLayout_4.addWidget(self.modeComboBox)
        self.line_3 = QtWidgets.QFrame(parent=GitLogBrowserDialog)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.line_3.setLineWidth(2)
        self.line_3.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_3.setObjectName("line_3")
        self.horizontalLayout_4.addWidget(self.line_3)
        self.label = QtWidgets.QLabel(parent=GitLogBrowserDialog)
        self.label.setObjectName("label")
        self.horizontalLayout_4.addWidget(self.label)
        self.fromDate = QtWidgets.QDateEdit(parent=GitLogBrowserDialog)
        self.fromDate.setCalendarPopup(True)
        self.fromDate.setObjectName("fromDate")
        self.horizontalLayout_4.addWidget(self.fromDate)
        self.label_2 = QtWidgets.QLabel(parent=GitLogBrowserDialog)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_4.addWidget(self.label_2)
        self.toDate = QtWidgets.QDateEdit(parent=GitLogBrowserDialog)
        self.toDate.setCalendarPopup(True)
        self.toDate.setObjectName("toDate")
        self.horizontalLayout_4.addWidget(self.toDate)
        self.line_2 = QtWidgets.QFrame(parent=GitLogBrowserDialog)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.line_2.setLineWidth(2)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_2.setObjectName("line_2")
        self.horizontalLayout_4.addWidget(self.line_2)
        self.fieldCombo = QtWidgets.QComboBox(parent=GitLogBrowserDialog)
        self.fieldCombo.setObjectName("fieldCombo")
        self.horizontalLayout_4.addWidget(self.fieldCombo)
        self.rxEdit = QtWidgets.QLineEdit(parent=GitLogBrowserDialog)
        self.rxEdit.setClearButtonEnabled(True)
        self.rxEdit.setObjectName("rxEdit")
        self.horizontalLayout_4.addWidget(self.rxEdit)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.findPrevButton = QtWidgets.QToolButton(parent=GitLogBrowserDialog)
        self.findPrevButton.setObjectName("findPrevButton")
        self.horizontalLayout_2.addWidget(self.findPrevButton)
        self.findNextButton = QtWidgets.QToolButton(parent=GitLogBrowserDialog)
        self.findNextButton.setObjectName("findNextButton")
        self.horizontalLayout_2.addWidget(self.findNextButton)
        self.horizontalLayout_4.addLayout(self.horizontalLayout_2)
        self.verticalLayout_3.addLayout(self.horizontalLayout_4)
        self.mainSplitter = QtWidgets.QSplitter(parent=GitLogBrowserDialog)
        self.mainSplitter.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.mainSplitter.setObjectName("mainSplitter")
        self.layoutWidget = QtWidgets.QWidget(parent=self.mainSplitter)
        self.layoutWidget.setObjectName("layoutWidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.layoutWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.logTree = QtWidgets.QTreeWidget(parent=self.layoutWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.logTree.sizePolicy().hasHeightForWidth())
        self.logTree.setSizePolicy(sizePolicy)
        self.logTree.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.logTree.setAlternatingRowColors(True)
        self.logTree.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.logTree.setRootIsDecorated(False)
        self.logTree.setItemsExpandable(False)
        self.logTree.setAllColumnsShowFocus(True)
        self.logTree.setObjectName("logTree")
        self.verticalLayout.addWidget(self.logTree)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.upButton = QtWidgets.QToolButton(parent=self.layoutWidget)
        self.upButton.setAutoRepeat(True)
        self.upButton.setObjectName("upButton")
        self.horizontalLayout.addWidget(self.upButton)
        self.downButton = QtWidgets.QToolButton(parent=self.layoutWidget)
        self.downButton.setAutoRepeat(True)
        self.downButton.setObjectName("downButton")
        self.horizontalLayout.addWidget(self.downButton)
        self.horizontalLayout_5.addLayout(self.horizontalLayout)
        self.line_5 = QtWidgets.QFrame(parent=self.layoutWidget)
        self.line_5.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.line_5.setLineWidth(2)
        self.line_5.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_5.setObjectName("line_5")
        self.horizontalLayout_5.addWidget(self.line_5)
        self.nextButton = QtWidgets.QPushButton(parent=self.layoutWidget)
        self.nextButton.setObjectName("nextButton")
        self.horizontalLayout_5.addWidget(self.nextButton)
        self.limitSpinBox = QtWidgets.QSpinBox(parent=self.layoutWidget)
        self.limitSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.limitSpinBox.setMinimum(1)
        self.limitSpinBox.setMaximum(10000)
        self.limitSpinBox.setProperty("value", 20)
        self.limitSpinBox.setObjectName("limitSpinBox")
        self.horizontalLayout_5.addWidget(self.limitSpinBox)
        self.stopCheckBox = QtWidgets.QCheckBox(parent=self.layoutWidget)
        self.stopCheckBox.setObjectName("stopCheckBox")
        self.horizontalLayout_5.addWidget(self.stopCheckBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem)
        self.sbsSelectLabel = QtWidgets.QLabel(parent=self.layoutWidget)
        self.sbsSelectLabel.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.sbsSelectLabel.setText("")
        self.sbsSelectLabel.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByKeyboard|QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse)
        self.sbsSelectLabel.setObjectName("sbsSelectLabel")
        self.horizontalLayout_5.addWidget(self.sbsSelectLabel)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.detailsSplitter = QtWidgets.QSplitter(parent=self.mainSplitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.detailsSplitter.sizePolicy().hasHeightForWidth())
        self.detailsSplitter.setSizePolicy(sizePolicy)
        self.detailsSplitter.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.detailsSplitter.setObjectName("detailsSplitter")
        self.detailsEdit = QtWidgets.QTextBrowser(parent=self.detailsSplitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(3)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.detailsEdit.sizePolicy().hasHeightForWidth())
        self.detailsEdit.setSizePolicy(sizePolicy)
        self.detailsEdit.setReadOnly(True)
        self.detailsEdit.setOpenLinks(False)
        self.detailsEdit.setObjectName("detailsEdit")
        self.diffSplitter = QtWidgets.QSplitter(parent=self.detailsSplitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(7)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.diffSplitter.sizePolicy().hasHeightForWidth())
        self.diffSplitter.setSizePolicy(sizePolicy)
        self.diffSplitter.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.diffSplitter.setObjectName("diffSplitter")
        self.filesTree = QtWidgets.QTreeWidget(parent=self.diffSplitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(7)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.filesTree.sizePolicy().hasHeightForWidth())
        self.filesTree.setSizePolicy(sizePolicy)
        self.filesTree.setAlternatingRowColors(True)
        self.filesTree.setRootIsDecorated(False)
        self.filesTree.setItemsExpandable(False)
        self.filesTree.setAllColumnsShowFocus(True)
        self.filesTree.setObjectName("filesTree")
        self.layoutWidget_2 = QtWidgets.QWidget(parent=self.diffSplitter)
        self.layoutWidget_2.setObjectName("layoutWidget_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.layoutWidget_2)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.diffLabel = QtWidgets.QLabel(parent=self.layoutWidget_2)
        self.diffLabel.setObjectName("diffLabel")
        self.horizontalLayout_3.addWidget(self.diffLabel)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.diffSelectLabel = QtWidgets.QLabel(parent=self.layoutWidget_2)
        self.diffSelectLabel.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.diffSelectLabel.setText("")
        self.diffSelectLabel.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByKeyboard|QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse)
        self.diffSelectLabel.setObjectName("diffSelectLabel")
        self.horizontalLayout_3.addWidget(self.diffSelectLabel)
        self.saveLabel = QtWidgets.QLabel(parent=self.layoutWidget_2)
        self.saveLabel.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.saveLabel.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByKeyboard|QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse)
        self.saveLabel.setObjectName("saveLabel")
        self.horizontalLayout_3.addWidget(self.saveLabel)
        self.verticalLayout_2.addLayout(self.horizontalLayout_3)
        self.diffEdit = QtWidgets.QPlainTextEdit(parent=self.layoutWidget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(7)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.diffEdit.sizePolicy().hasHeightForWidth())
        self.diffEdit.setSizePolicy(sizePolicy)
        self.diffEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.diffEdit.setReadOnly(True)
        self.diffEdit.setTabStopDistance(8.0)
        self.diffEdit.setObjectName("diffEdit")
        self.verticalLayout_2.addWidget(self.diffEdit)
        self.verticalLayout_3.addWidget(self.mainSplitter)
        self.errorGroup = QtWidgets.QGroupBox(parent=GitLogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout.addWidget(self.errors)
        self.verticalLayout_3.addWidget(self.errorGroup)
        self.inputGroup = QtWidgets.QGroupBox(parent=GitLogBrowserDialog)
        self.inputGroup.setObjectName("inputGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.inputGroup)
        self.gridlayout.setObjectName("gridlayout")
        spacerItem2 = QtWidgets.QSpacerItem(327, 29, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout.addItem(spacerItem2, 1, 1, 1, 1)
        self.sendButton = QtWidgets.QPushButton(parent=self.inputGroup)
        self.sendButton.setObjectName("sendButton")
        self.gridlayout.addWidget(self.sendButton, 1, 2, 1, 1)
        self.input = QtWidgets.QLineEdit(parent=self.inputGroup)
        self.input.setObjectName("input")
        self.gridlayout.addWidget(self.input, 0, 0, 1, 3)
        self.passwordCheckBox = QtWidgets.QCheckBox(parent=self.inputGroup)
        self.passwordCheckBox.setObjectName("passwordCheckBox")
        self.gridlayout.addWidget(self.passwordCheckBox, 1, 0, 1, 1)
        self.verticalLayout_3.addWidget(self.inputGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitLogBrowserDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_3.addWidget(self.buttonBox)

        self.retranslateUi(GitLogBrowserDialog)
        QtCore.QMetaObject.connectSlotsByName(GitLogBrowserDialog)
        GitLogBrowserDialog.setTabOrder(self.actionsButton, self.modeComboBox)
        GitLogBrowserDialog.setTabOrder(self.modeComboBox, self.fromDate)
        GitLogBrowserDialog.setTabOrder(self.fromDate, self.toDate)
        GitLogBrowserDialog.setTabOrder(self.toDate, self.fieldCombo)
        GitLogBrowserDialog.setTabOrder(self.fieldCombo, self.rxEdit)
        GitLogBrowserDialog.setTabOrder(self.rxEdit, self.findPrevButton)
        GitLogBrowserDialog.setTabOrder(self.findPrevButton, self.findNextButton)
        GitLogBrowserDialog.setTabOrder(self.findNextButton, self.logTree)
        GitLogBrowserDialog.setTabOrder(self.logTree, self.upButton)
        GitLogBrowserDialog.setTabOrder(self.upButton, self.downButton)
        GitLogBrowserDialog.setTabOrder(self.downButton, self.nextButton)
        GitLogBrowserDialog.setTabOrder(self.nextButton, self.limitSpinBox)
        GitLogBrowserDialog.setTabOrder(self.limitSpinBox, self.stopCheckBox)
        GitLogBrowserDialog.setTabOrder(self.stopCheckBox, self.sbsSelectLabel)
        GitLogBrowserDialog.setTabOrder(self.sbsSelectLabel, self.detailsEdit)
        GitLogBrowserDialog.setTabOrder(self.detailsEdit, self.filesTree)
        GitLogBrowserDialog.setTabOrder(self.filesTree, self.diffSelectLabel)
        GitLogBrowserDialog.setTabOrder(self.diffSelectLabel, self.saveLabel)
        GitLogBrowserDialog.setTabOrder(self.saveLabel, self.diffEdit)
        GitLogBrowserDialog.setTabOrder(self.diffEdit, self.errors)
        GitLogBrowserDialog.setTabOrder(self.errors, self.input)
        GitLogBrowserDialog.setTabOrder(self.input, self.passwordCheckBox)
        GitLogBrowserDialog.setTabOrder(self.passwordCheckBox, self.sendButton)

    def retranslateUi(self, GitLogBrowserDialog):
        _translate = QtCore.QCoreApplication.translate
        GitLogBrowserDialog.setWindowTitle(_translate("GitLogBrowserDialog", "Git Log"))
        self.actionsButton.setToolTip(_translate("GitLogBrowserDialog", "Select action from menu"))
        self.modeComboBox.setToolTip(_translate("GitLogBrowserDialog", "Select the mode (find or filter)"))
        self.label.setText(_translate("GitLogBrowserDialog", "From:"))
        self.fromDate.setToolTip(_translate("GitLogBrowserDialog", "Enter the start date"))
        self.label_2.setText(_translate("GitLogBrowserDialog", "To:"))
        self.toDate.setToolTip(_translate("GitLogBrowserDialog", "Enter the end date"))
        self.fieldCombo.setToolTip(_translate("GitLogBrowserDialog", "Select the field to filter on"))
        self.rxEdit.setToolTip(_translate("GitLogBrowserDialog", "Enter the regular expression to filter on or search for"))
        self.findPrevButton.setToolTip(_translate("GitLogBrowserDialog", "Press to find the previous occurrence"))
        self.findNextButton.setToolTip(_translate("GitLogBrowserDialog", "Press to find the next occurrence"))
        self.logTree.headerItem().setText(0, _translate("GitLogBrowserDialog", "Graph"))
        self.logTree.headerItem().setText(1, _translate("GitLogBrowserDialog", "Commit ID"))
        self.logTree.headerItem().setText(2, _translate("GitLogBrowserDialog", "Author"))
        self.logTree.headerItem().setText(3, _translate("GitLogBrowserDialog", "Date"))
        self.logTree.headerItem().setText(4, _translate("GitLogBrowserDialog", "Committer"))
        self.logTree.headerItem().setText(5, _translate("GitLogBrowserDialog", "Commit Date"))
        self.logTree.headerItem().setText(6, _translate("GitLogBrowserDialog", "Subject"))
        self.logTree.headerItem().setText(7, _translate("GitLogBrowserDialog", "Branches"))
        self.logTree.headerItem().setText(8, _translate("GitLogBrowserDialog", "Tags"))
        self.upButton.setToolTip(_translate("GitLogBrowserDialog", "Press to move up in the log list"))
        self.downButton.setToolTip(_translate("GitLogBrowserDialog", "Press to move down in the log list"))
        self.nextButton.setToolTip(_translate("GitLogBrowserDialog", "Press to get the next bunch of log entries"))
        self.nextButton.setText(_translate("GitLogBrowserDialog", "&Next"))
        self.limitSpinBox.setToolTip(_translate("GitLogBrowserDialog", "Enter the limit of entries to fetch"))
        self.stopCheckBox.setToolTip(_translate("GitLogBrowserDialog", "Select to stop listing log messages at a copy or move"))
        self.stopCheckBox.setText(_translate("GitLogBrowserDialog", "Stop on Copy/Move"))
        self.filesTree.headerItem().setText(0, _translate("GitLogBrowserDialog", "Action"))
        self.filesTree.headerItem().setText(1, _translate("GitLogBrowserDialog", "Path"))
        self.filesTree.headerItem().setText(2, _translate("GitLogBrowserDialog", "Additions"))
        self.filesTree.headerItem().setText(3, _translate("GitLogBrowserDialog", "Deletions"))
        self.filesTree.headerItem().setText(4, _translate("GitLogBrowserDialog", "Copy from"))
        self.diffLabel.setText(_translate("GitLogBrowserDialog", "Differences"))
        self.saveLabel.setText(_translate("GitLogBrowserDialog", "<a href=\"save:me\">Save</a>"))
        self.errorGroup.setTitle(_translate("GitLogBrowserDialog", "Errors"))
        self.errors.setWhatsThis(_translate("GitLogBrowserDialog", "<b>Git log errors</b><p>This shows possible error messages of the git log command.</p>"))
        self.inputGroup.setTitle(_translate("GitLogBrowserDialog", "Input"))
        self.sendButton.setToolTip(_translate("GitLogBrowserDialog", "Press to send the input to the git process"))
        self.sendButton.setText(_translate("GitLogBrowserDialog", "&Send"))
        self.sendButton.setShortcut(_translate("GitLogBrowserDialog", "Alt+S"))
        self.input.setToolTip(_translate("GitLogBrowserDialog", "Enter data to be sent to the git process"))
        self.passwordCheckBox.setToolTip(_translate("GitLogBrowserDialog", "Select to switch the input field to password mode"))
        self.passwordCheckBox.setText(_translate("GitLogBrowserDialog", "&Password Mode"))
        self.passwordCheckBox.setShortcut(_translate("GitLogBrowserDialog", "Alt+P"))
